Package org.drinkless.tdlib

# Class TdApi.AvailableGift

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.AvailableGift

Enclosing class:
  `TdApi`

public static class TdApi.AvailableGift extends TdApi.Object
Describes a gift that is available for purchase.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.Gift`
  `gift`
  The gift.
  `long`
  `minResaleStarCount`
  The minimum price for the gifts available for resale in Telegram Star equivalent; 0 if there are no such gifts.
  `int`
  `resaleCount`
  Number of gifts that are available for resale.
  `String`
  `title`
  The title of the upgraded gift; empty if the gift isn't available for resale.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AvailableGift()`
  Describes a gift that is available for purchase.
  `AvailableGift(TdApi.Gift gift, int resaleCount, long minResaleStarCount, String title)`
  Describes a gift that is available for purchase.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### gift

    public TdApi.Gift gift
    The gift.

  - ### resaleCount

    public int resaleCount
    Number of gifts that are available for resale.

  - ### minResaleStarCount

    public long minResaleStarCount
    The minimum price for the gifts available for resale in Telegram Star equivalent; 0 if there are no such gifts.

  - ### title

    public String title
    The title of the upgraded gift; empty if the gift isn't available for resale.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AvailableGift

    public AvailableGift()
    Describes a gift that is available for purchase.

  - ### AvailableGift

    public AvailableGift(TdApi.Gift gift, int resaleCount, long minResaleStarCount, String title)
    Describes a gift that is available for purchase.
    Parameters:
      `gift` - The gift.
      `resaleCount` - Number of gifts that are available for resale.
      `minResaleStarCount` - The minimum price for the gifts available for resale in Telegram Star equivalent; 0 if there are no such gifts.
      `title` - The title of the upgraded gift; empty if the gift isn't available for resale.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR